Support » Fixing WordPress » Issue with slider not loading

  • Hi All

    Im hoping someone can help. Im developing a site for a friend, its an affiliate marketing and review site.

    Im trying to install a recent post slider, if you see toward the botom of the page there is a heading “LATEST SLOT NEWS” just below that should be a recent posts slider, for this I used the WP Responsive Recent Post Slider/Carousel plugin. I also have the bottom half of the page built using a page builder called nimble builder. When I am logged into the site I can see the slider perfectly, but when viewing as any other visitor would I don’t see it, just a big white space where it should be. Any ideas ?

    Cheers

    • This topic was modified 1 week, 5 days ago by Yui. Reason: moved to fixing wordpress

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Hi Paul, I can not find the heading “LATEST SLOT NEWS” and also do not see the slider. Can you share the view or a screenshot of where the slider should be?

    https://imgur.com/a/Fv75w8r

    This is what I see at the bottom.

    Thread Starter paulshortt1

    (@paulshortt1)

    here is a video of me quickly navigating the site then onto Microsoft edge to show the issue, just for reference it’d also show like this in another brewers (im just logged in on chrome) Thank you for you help here.

    https://streamable.com/farwwt

    I have found a problem, jQuery is not defined, maybe there is a conflict with this. Using the browser console you can see the errors, also the problem is generated by the plugin wp-responsive-recent-post-slider.

    This is the log:

    
    11:40:40.588 Uncaught ReferenceError: jQuery is not defined
        <anonymous> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/slick.min.js?ver=3.1.1:17
        <anonymous> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/slick.min.js?ver=3.1.1:17
    slick.min.js:17:129
        <anónima> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/slick.min.js?ver=3.1.1:17
        <anónima> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/slick.min.js?ver=3.1.1:17
    11:40:40.589 Uncaught ReferenceError: jQuery is not defined
        <anonymous> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/wppsac-public.js?ver=3.1.1:199
    wppsac-public.js:199:1
        <anónima> https://dirtydawgs.co.uk/wp-content/plugins/wp-responsive-recent-post-slider/assets/js/wppsac-public.js?ver=3.1.1:199
    11:40:40.595 JQMIGRATE: Migrate is installed, version 3.3.2 jquery-migrate.min.js:2:709
    11:42:43.070 Error: Promised response from onMessage listener went out of scope background.js:42:31
    
    • This reply was modified 1 week, 5 days ago by Yui. Reason: formatting

    I suggest you to disable other plugins and only use this slider, if it works well, try enabling other plugins one by one until this one fails, if that happens maybe we can edit the plugin so there is no conflicts with loading jQuery.

    I usually have this problem when jQuery is not laded before it is called.

    Thread Starter paulshortt1

    (@paulshortt1)

    Hi, Sorry to be one of “those” people, but Im struggling to figure this out, I’ve disabled all plugin, then started one by one re-enabling them but saw no change, I deleted the plugin and even added a new slider plugin which would do the same but the same thing keeps happening. I’ve never had any issues with things like this. Would you be able to assist ?

    Many Thanks

    Sure, let me check how can I add jquery before the plugins load and I will be back with some answer.

    Well, I found that to load jquery before, you need to search in your theme folder when this function is called first:

    wp_enqueue_script
    it will look like this:

    wp_enqueue_script( 
        'your-handle', 
        get_bloginfo('template_url') . '/path/script.js' 
    );

    and you need to add this in the end:

    wp_enqueue_script( 
        'your-handle', 
        get_bloginfo('template_url') . '/path/script.js', 
        array( 'jquery' ) 
    );

    Unfortunately, you are using a premium template, so I can not install it and tell you wich file you need to edit.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.